Package org.apache.catalina.mapper

## Class Mapper.MappedContext

- java.lang.Object
- - org.apache.catalina.mapper.Mapper.MapElement<Void>
  - - org.apache.catalina.mapper.Mapper.MappedContext

Enclosing class:
  Mapper

    protected static final class Mapper.MappedContext
    extends Mapper.MapElement<Void>

### Field Summary

Fields
`Mapper.ContextVersion[]` `versions`

### Fields inherited from class org.apache.catalina.mapper.Mapper.MapElement

`name, object`

### Constructor Summary

Constructors
`MappedContext​(String name, Mapper.ContextVersion firstVersion)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### versions

    public volatile Mapper.ContextVersion[] versions

### Constructor Detail

#### MappedContext

    public MappedContext​(String name,
                         Mapper.ContextVersion firstVersion)